%%%
%%% Author:
%%%   J"urgen Zimmer <afranke@ags.uni-sb.de>
%%%
%%% Copyright:
%%%   J"urgen Zimmer, 2000
%%%
%%% Last change:
%%%   $Date $ by $Author $
%%%   $Revision $
%%%
%%% This file is part of MathWeb
%%%    http://www.mathweb.org/mathweb
%%%
%%% See the file "LICENSE" or
%%%    http://www.mathweb.org/mathweb/LICENSE.html
%%% for information on usage and redistribution
%%% of this file, and for a DISCLAIMER OF ALL
%%% WARRANTIES.
%%%

functor
   %% first example for kqml(XML) reading and writing
   
import
   Error(exceptionToMessage messageToVirtualString)
   Property(put)
   Browser(browse: Browse)
   System
   
   OM2Pvs
   at 'x-ozlib://mathweb/omutils/OM2Pvs.ozf'

define
%   VS2A = VirtualString.toAtom
   VS2S = VirtualString.toString
   VS2BS= VirtualString.toByteString
   
   {Property.put 'errors.width' 100}
   {Property.put 'errors.depth' 100}
   
   OM1 = 'OMBIND'(
            'OMS'(cd: "quant1" name: "forall")
            ['OMV'(name:"x")]
            'OMA'('OMS'(name: "implies" cd: "relation1")
                  ['OMA'('OMS'(cd: "relation1" name:  "leq")
                         ['OMI'(0)
                          'OMV'(name:"x")
                         ])
                   'OMA'('OMS'(cd: "relation1" name:  "leq")
                         ['OMA'('OMS'(cd: "arith1" name: "unary_minus")
                                ['OMV'(name:"x")])
                          'OMV'(name: "x")
                         ])
                  ])
            )
   OM2 = 'OMBIND'(
            'OMS'(cd: "quant1" name: "forall")
            ['OMV'(name:"x")]
            'OMA'('OMS'(name: "implies" cd: "relation1")
                  ['OMA'('OMS'(cd: "relation1" name:  "leq")
                         ['OMI'(0)
                          'OMV'(name:"x")
                         ])
                   'OMA'('OMS'(cd: "relation1" name:  "leq")
                         ['OMA'('OMS'(cd: "arith1" name: "unary_minus")
                                ['OMV'(name:"x")])
                          'OMV'(name: "x")
                         ])
                  ])
            )
   OM3 = 'OMOBJ'(
            'OMA'('OMS'(cd: "calculus2" name: "continuous")
                  ['OMBIND'('OMS'(cd: "mltt" name: "lambda")
                            'OMBVAR'(['OMATTR'(['OMATP'('OMS'(cd: "mltt" name: "type")
                                                        #'OMS'(cd: "natural" name: "num"))
                                               ]
                                               'OMV'(name: "X"))
                                     ])
                            'OMA'('OMS'(cd: "arith1" name: "plus")
                                  ['OMA'('OMS'(cd: "arith1" name: "times")
                                         ['OMI'(2)
                                          'OMV'(name: "x")])
                                   'OMA'('OMS'(cd: "arith1" name: "times")
                                         ['OMV'(name: "x")'OMV'(name: "x")])]))
                   'OMI'(2)]))
   
   /**
   (serv~apply "PVS" "provects('OMOBJ'('OMA'('OMS'(cd: \"calculus2\" name: \"continuous\") ['OMBIND'('OMS'(cd: \"mltt\" name: \"lambda\")'OMBVAR'(['OMATTR'(['OMATP'('OMS'(cd: \"mltt\" name: \"type\")#'OMS'(cd: \"natural\" name: \"num\"))] 'OMV'(name: \"x\")) ])'OMA'('OMS'(cd: \"arith1\" name: \"plus\") ['OMA'('OMS'(cd: \"arith1\" name: \"times\") ['OMI'(2)'OMV'(name: \"x\")])'OMA'('OMS'(cd: \"arith1\" name: \"times\") ['OMV'(name: \"x\")'OMV'(name: \"x\")])]))'OMI'(2)])))")

send 7 prove('OMOBJ'('OMA'('OMS'(cd: "calculus2" name: "continuous") ['OMBIND'('OMS'(cd: "mltt" name: "lambda")'OMBVAR'(['OMATTR'(['OMATP'('OMS'(cd: "mltt" name: "type")#'OMS'(cd: "natural" name: "num"))] 'OMV'(name: "x")) ])'OMA'('OMS'(cd: "arith1" name: "plus") ['OMA'('OMS'(cd: "arith1" name: "times") ['OMI'(2)'OMV'(name: "x")])'OMA'('OMS'(cd: "arith1" name: "times") ['OMV'(name: "x")'OMV'(name: "x")])]))'OMI'(2)])))
*/
   try
%       S1 = {OM2Pvs.om2Pvs OM1}
      S2 = {OM2Pvs.om2Pvs OM3}
   in
%      {System.showInfo S1}
      {System.showInfo S2}
   catch E then
      {Browse E}
   end
   
end %define
