%%%
%%% Author
%%%   J"urgen Zimmer <afranke@ags.uni-sb.de>
%%%
%%% Copyright:
%%%   J"urgen Zimmer, 2000
%%%
%%% Last change:
%%%   $Date $ by $Author $
%%%   $Revision $
%%%
%%% This file is part of MathWeb
%%%    http://www.mathweb.org/mathweb
%%%
%%% See the file "LICENSE" or
%%%    http://www.mathweb.org/mathweb/LICENSE.html
%%% for information on usage and redistribution
%%% of this file, and for a DISCLAIMER OF ALL
%%% WARRANTIES.
%%%

functor
   %% first example for kqml(XML) reading and writing
   
import
   Error(exceptionToMessage messageToVirtualString)
   Property(put)
   Browser(browse: Browse)
   System
   
   OM2Clam(om2Maple: OM2Maple
          )
   at 'x-ozlib://mathweb/omutils/OM2Maple.ozf'

define
%   VS2A = VirtualString.toAtom
   VS2S = VirtualString.toString
%   VS2BS= VirtualString.toByteString
   
   {Property.put 'errors.width' 100}
   {Property.put 'errors.depth' 100}
   
   Sum = 'OMA'('OMS'(name: "sum"  cd: "arith1")
               ['OMI'(1)
                'OMV'(name: "n")
                'OMBIND'('OMS'(cd: "fns1"
                               name: "lambda")  ['OMV'(name: "x")]
                         'OMV'(name: 'x'))
               ])
   Summation = 'OMA'('OMS'(name: "plus" cd: "arith1")
                     ['OMA'('OMS'(name: "sum"  cd: "arith1")
                            ['OMI'(0)
                             'OMV'(name: "<lc-0-2>")
                             'OMBIND'('OMS'(name:"lambda" cd:"fns1")
                                      ['OMV'(name: "<lc-0-3>")]
                                      'OMV'(name: "<lc-0-3>"))  ])
                      'OMA'('OMBIND'('OMS'(name:"lambda" cd:"fns1")
                                     ['OMV'(name: "<lc-0-3>")]
                                     'OMV'(name: "<lc-0-3>"))
                            ['OMA'('OMS'(name: "plus" cd: "arith1")
                                   ['OMV'(name: "<lc-0-2>") 'OMI'(1)])])
                     ])
%   {Browse {OM2Maple Sum}}
   {System.showInfo {OM2Maple Summation}}
end %define



/**
 setWaveRules('omdoc'(items: ['assertion'(id: "PLUS-NAT-BASE2" type: "lemma"  theory: "NATURAL"  cmp: "another base case for recursive definition of addition."  fmp: 'FMP'(assumptions: nil 
 conclusion: conclusion(omobj: 'OMOBJ'('OMA'('OMS'(cd: "quant1" name: "forall") ['OMBIND'('OMS'(cd: "fns1" name: "lambda") 'OMBVAR'(['OMATTR'(['OMATP'('OMS'(cd: "mltt" name: \"type\")#'OMS'(cd: \"natural\" name: \"num\"))] 'OMV'(name: \"x\")) ])'OMA'('OMS'(cd: \"relation1\" name: \"eq\") ['OMA'('OMS'(cd: \"NATURAL\" name: \"plus\") ['OMS'(cd: \"NATURAL\" name: \"zero\") 'OMV'(name: \"x\") ])
 'OMV'(name: \"x\") ])
)]))))) ]))"
 message: "ripple('assertion'(id: \"TIMES2RIGHT\" type: \"axiom\" cmp: \"the sequent times2right.\"
 fmp: 'FMP'(assumptions: ['assumption'(cmps: nil omobj: 'OMOBJ'('OMBIND'('OMS'(cd: \"quant1\" name: \"forall\") [['OMV'(name: \"x\") ]] 'OMA'('OMS'(cd: \"relation1\" name: \"eq\") ['OMV'(name: \"x\") 'OMV'(name: \"x\") ])
)
)) ] conclusion: 'conclusion'(cmps: nil omobj: 'OMOBJ'('OMBIND'('OMS'(cd: \"quant1\" name: \"forall\") [['OMV'(name: \"x\") ]] 'OMBIND'('OMS'(cd: \"quant1\" name: \"forall\") [['OMV'(name: \"y\") ]] 'OMA'('OMS'(cd: \"relation1\" name: \"eq\") ['OMA'('OMS'(cd: \"NATURAL\" name: \"times\") ['OMV'(name: \"x\") 'OMA'('OMS'(cd: \"NATURAL\" name: \"s\") ['OMV'(name: \"y\") ])
 ])
 'OMA'('OMS'(cd: \"NATURAL\" name: \"plus\") ['OMV'(name: \"x\") 'OMA'('OMS'(cd: \"NATURAL\" name: \"times\") ['OMV'(name: \"x\") 'OMV'(name: \"y\") ])
 ])
 ])
)
)
))))
)

*/
